cURL
curl --request GET \
--url https://us.api.flexprice.io/v1/taxes/rates \
--header 'x-api-key: <api-key>'from flexprice import Flexprice
with Flexprice(
api_key_auth="<YOUR_API_KEY_HERE>",
) as f_client:
res = f_client.tax_rates.get_tax_rates()
# Handle response
print(res)import { Flexprice } from "@flexprice/sdk";
const flexprice = new Flexprice({
apiKeyAuth: "<YOUR_API_KEY_HERE>",
});
async function run() {
const result = await flexprice.taxRates.getTaxRates();
console.log(result);
}
run();package main
import(
"context"
flexprice "github.com/flexprice/go-sdk/v2"
"github.com/flexprice/go-sdk/v2/models/dtos"
"log"
)
func main() {
ctx := context.Background()
s := flexprice.New(
flexprice.WithSecurity("<YOUR_API_KEY_HERE>"),
)
res, err := s.TaxRates.GetTaxRates(ctx, dtos.GetTaxRatesRequest{})
if err != nil {
log.Fatal(err)
}
if res.ListTaxRatesResponse != nil {
// handle response
}
}{
"items": [
{
"code": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"description": "<string>",
"environment_id": "<string>",
"id": "<string>",
"metadata": {},
"name": "<string>",
"percentage_value": "<string>",
"scope": "INTERNAL",
"status": "published",
"tax_rate_status": "ACTIVE",
"tax_rate_type": "percentage",
"tenant_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"updated_by": "<string>"
}
],
"pagination": {
"limit": 123,
"offset": 123,
"total": 123
}
}{
"code": "http_client_error",
"http_status_code": 123,
"message": "<string>"
}{
"code": "http_client_error",
"http_status_code": 123,
"message": "<string>"
}Tax Rates
Get tax rates
Use when listing tax rates (e.g. tax config UI). Returns tax rates with optional filters.
GET
/
taxes
/
rates
cURL
curl --request GET \
--url https://us.api.flexprice.io/v1/taxes/rates \
--header 'x-api-key: <api-key>'from flexprice import Flexprice
with Flexprice(
api_key_auth="<YOUR_API_KEY_HERE>",
) as f_client:
res = f_client.tax_rates.get_tax_rates()
# Handle response
print(res)import { Flexprice } from "@flexprice/sdk";
const flexprice = new Flexprice({
apiKeyAuth: "<YOUR_API_KEY_HERE>",
});
async function run() {
const result = await flexprice.taxRates.getTaxRates();
console.log(result);
}
run();package main
import(
"context"
flexprice "github.com/flexprice/go-sdk/v2"
"github.com/flexprice/go-sdk/v2/models/dtos"
"log"
)
func main() {
ctx := context.Background()
s := flexprice.New(
flexprice.WithSecurity("<YOUR_API_KEY_HERE>"),
)
res, err := s.TaxRates.GetTaxRates(ctx, dtos.GetTaxRatesRequest{})
if err != nil {
log.Fatal(err)
}
if res.ListTaxRatesResponse != nil {
// handle response
}
}{
"items": [
{
"code": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"description": "<string>",
"environment_id": "<string>",
"id": "<string>",
"metadata": {},
"name": "<string>",
"percentage_value": "<string>",
"scope": "INTERNAL",
"status": "published",
"tax_rate_status": "ACTIVE",
"tax_rate_type": "percentage",
"tenant_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"updated_by": "<string>"
}
],
"pagination": {
"limit": 123,
"offset": 123,
"total": 123
}
}{
"code": "http_client_error",
"http_status_code": 123,
"message": "<string>"
}{
"code": "http_client_error",
"http_status_code": 123,
"message": "<string>"
}Authorizations
Enter your API key in the format x-api-key <api-key>*
Query Parameters
Required range:
1 <= x <= 1000Required range:
x >= 0Available options:
asc, desc Available options:
INTERNAL, EXTERNAL, ONETIME Available options:
published, deleted, archived 
